Subject: Re: [PATCH v15 bpf-next 00/18] mvneta: introduce XDP multi-buffer support

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Sat, 09 Oct 2021 15:00:51 +0200

Jakub Kicinski <[email-masked]> writes:

> On Fri,  8 Oct 2021 14:49:38 +0200 Lorenzo Bianconi wrote:
>> Changes since v14:
>> - intrudce bpf_xdp_pointer utility routine and
>>   bpf_xdp_load_bytes/bpf_xdp_store_bytes helpers
>> - drop bpf_xdp_adjust_data helper
>> - drop xdp_frags_truesize in skb_shared_info
>> - explode bpf_xdp_mb_adjust_tail in bpf_xdp_mb_increase_tail and
>>   bpf_xdp_mb_shrink_tail
>
> I thought the conclusion of the discussion regarding backward
> compatibility was that we should require different program type
> or other explicit opt in. Did I misinterpret?

No, you're right. I think we settled on using the 'flags' field instead
of program type, but either way this should be part of the initial patch
set.

-Toke